# Uses of Class
com.logicaldoc.core.metadata.Attribute

Packages that use Attribute
Package
Description
com.logicaldoc.core.document
Contains the definitions of `Document` and `Version` as well as other related objects
com.logicaldoc.core.folder
Contains the definitions of `Folder` as well as other related objects
com.logicaldoc.core.generic
Contains the definitions of `Generic` that is a persistent object used as a general way to store informations in the database
com.logicaldoc.core.metadata
Package that collects the template and attribute sets definitions.
Many objects of the LogicalDOC platform are extensible and can store your custom metadata, they are all those that extends the `ExtensibleObject`.

## Uses of Attribute in com.logicaldoc.core.document

Methods in com.logicaldoc.core.document that return types with arguments of type Attribute
Modifier and Type
Method
Description
`Map<String,Attribute>`
Document.`getAttributes()`
`Map<String,Attribute>`
Version.`getAttributes()`
Method parameters in com.logicaldoc.core.document with type arguments of type Attribute
Modifier and Type
Method
Description
`void`
Document.`setAttributes(Map<String,Attribute> attributes)`
`void`
Version.`setAttributes(Map<String,Attribute> attributes)`

## Uses of Attribute in com.logicaldoc.core.folder

Methods in com.logicaldoc.core.folder that return types with arguments of type Attribute
Modifier and Type
Method
Description
`Map<String,Attribute>`
Folder.`getAttributes()`
Method parameters in com.logicaldoc.core.folder with type arguments of type Attribute
Modifier and Type
Method
Description
`void`
Folder.`setAttributes(Map<String,Attribute> attributes)`

## Uses of Attribute in com.logicaldoc.core.generic

Methods in com.logicaldoc.core.generic that return types with arguments of type Attribute
Modifier and Type
Method
Description
`Map<String,Attribute>`
Generic.`getAttributes()`
Method parameters in com.logicaldoc.core.generic with type arguments of type Attribute
Modifier and Type
Method
Description
`void`
Generic.`setAttributes(Map<String,Attribute> attributes)`

## Uses of Attribute in com.logicaldoc.core.metadata

Methods in com.logicaldoc.core.metadata that return Attribute
Modifier and Type
Method
Description
`Attribute`
AbstractAttributeSet.`getAttribute(String name)`
`Attribute`
Extensible.`getAttribute(String name)`
`Attribute`
ExtensibleObject.`getAttribute(String name)`
`Attribute`
AbstractAttributeSet.`getAttributeAtPosition(int position)`
`Attribute`
Extensible.`getAttributeAtPosition(int position)`
`Attribute`
ExtensibleObject.`getAttributeAtPosition(int position)`
`Attribute`
AbstractAttributeSet.`getTemplateAttribute(String name)`
`Attribute`
AbstractAttributeSet.`setValue(String name, Object value)`
`Attribute`
Extensible.`setValue(String name, Object value)`
`Attribute`
ExtensibleObject.`setValue(String name, Object value)`
Methods in com.logicaldoc.core.metadata that return types with arguments of type Attribute
Modifier and Type
Method
Description
`Map<String,Attribute>`
AttributeSetDAO.`findAttributes(long tenantId, Long setId)`
Gets the map of attributes defined in the given tenant or set
`Map<String,Attribute>`
HibernateAttributeSetDAO.`findAttributes(long tenantId, Long setId)`
`Map<String,Attribute>`
AbstractAttributeSet.`getAttributes()`
`Map<String,Attribute>`
Extensible.`getAttributes()`
`abstract Map<String,Attribute>`
AbstractAttributeSet.`getTemplateAttributes()`
`Map<String,Attribute>`
AttributeSet.`getTemplateAttributes()`
`Map<String,Attribute>`
Template.`getTemplateAttributes()`
`List<Attribute>`
AbstractAttributeSet.`getValueAttributes(String name)`
`List<Attribute>`
Extensible.`getValueAttributes(String name)`
`List<Attribute>`
ExtensibleObject.`getValueAttributes(String name)`
`List<Attribute>`
AbstractAttributeSet.`setValues(String name, List<Object> values)`
`List<Attribute>`
Extensible.`setValues(String name, List<Object> values)`
`List<Attribute>`
ExtensibleObject.`setValues(String name, List<Object> values)`
Methods in com.logicaldoc.core.metadata with parameters of type Attribute
Modifier and Type
Method
Description
`int`
Attribute.`compareTo(Attribute o)`
`void`
AbstractAttributeSet.`setAttribute(String name, Attribute attr)`
`void`
Extensible.`setAttribute(String name, Attribute attribute)`
Puts a new attribute, if the attribute already exists his position and label are left untouched
`void`
ExtensibleObject.`setAttribute(String name, Attribute attribute)`
Puts a new attribute, if the attribute already exists his position and label are left untouched
Method parameters in com.logicaldoc.core.metadata with type arguments of type Attribute
Modifier and Type
Method
Description
`void`
AbstractAttributeSet.`setAttributes(Map<String,Attribute> attributes)`
`void`
Extensible.`setAttributes(Map<String,Attribute> attributes)`
`abstract void`
AbstractAttributeSet.`setTemplateAttributes(Map<String,Attribute> templateAttributes)`
`void`
AttributeSet.`setTemplateAttributes(Map<String,Attribute> templateAttributes)`
`void`
Template.`setTemplateAttributes(Map<String,Attribute> templateAttributes)`
Constructors in com.logicaldoc.core.metadata with parameters of type Attribute
Modifier
Constructor
Description
``
`Attribute(Attribute source)`